Loading...
Searching...
No Matches
ClpParameters.hpp File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | ClpTrustedData
| For a structure to be used by trusted code. More...

## Enumerations

enum | ClpIntParam { ClpMaxNumIteration = 0 , ClpMaxNumIterationHotStart , ClpNameDiscipline , ClpLastIntParam }
| This is where to put any useful stuff. More...
enum | ClpDblParam { ClpDualObjectiveLimit , ClpPrimalObjectiveLimit , ClpDualTolerance , ClpPrimalTolerance , ClpObjOffset , ClpMaxSeconds , ClpMaxWallSeconds , ClpPresolveTolerance , ClpLastDblParam }
enum | ClpStrParam { ClpProbName = 0 , ClpLastStrParam }

## Functions

template<class T>
void | ClpDisjointCopyN (const T *array, const CoinBigIndex size, T *newArray)
| Copy (I don't like complexity of Coin version).
template<class T>
void | ClpFillN (T *array, const CoinBigIndex size, T value)
| And set.
template<class T>
T * | ClpCopyOfArray (const T *array, const CoinBigIndex size, T value)
| This returns a non const array filled with input from scalar or actual array.
template<class T>
T * | ClpCopyOfArray (const T *array, const CoinBigIndex size)
| This returns a non const array filled with actual array (or NULL).

## Enumeration Type Documentation

## ClpIntParam

enum ClpIntParam

This is where to put any useful stuff.

Enumerator
ClpMaxNumIteration | The maximum number of iterations Clp can execute in the simplex methods.
ClpMaxNumIterationHotStart | The maximum number of iterations Clp can execute in hotstart before terminating.

ClpNameDiscipline

The name discipline; specifies how the solver will handle row and column names.

- 0: Auto names: Names cannot be set by the client. Names of the form Rnnnnnnn or Cnnnnnnn are generated on demand when a name for a specific row or column is requested; nnnnnnn is derived from the row or column index. Requests for a vector of names return a vector with zero entries.
- 1: Lazy names: Names supplied by the client are retained. Names of the form Rnnnnnnn or Cnnnnnnn are generated on demand if no name has been supplied by the client. Requests for a vector of names return a vector sized to the largest index of a name supplied by the client; some entries in the vector may be null strings.
- 2: Full names: Names supplied by the client are retained. Names of the form Rnnnnnnn or Cnnnnnnn are generated on demand if no name has been supplied by the client. Requests for a vector of names return a vector sized to match the constraint system, and all entries will contain either the name specified by the client or a generated name.

ClpLastIntParam | Just a marker, so that we can allocate a static sized array to store parameters.

Definition at line 12 of file ClpParameters.hpp.

## ClpDblParam

enum ClpDblParam

Enumerator
ClpDualObjectiveLimit | Set Dual objective limit. This is to be used as a termination criteria in methods where the dual objective monotonically changes (dual simplex).
ClpPrimalObjectiveLimit | Primal objective limit. This is to be used as a termination criteria in methods where the primal objective monotonically changes (e.g., primal simplex)
ClpDualTolerance | The maximum amount the dual constraints can be violated and still be considered feasible.
ClpPrimalTolerance | The maximum amount the primal constraints can be violated and still be considered feasible.
ClpObjOffset | Objective function constant. This the value of the constant term in the objective function.
ClpMaxSeconds | Maximum time in seconds - after, this action is as max iterations.
ClpMaxWallSeconds | Maximum wallclock running time in seconds - after, this action is as max iterations.
ClpPresolveTolerance | Tolerance to use in presolve.
ClpLastDblParam | Just a marker, so that we can allocate a static sized array to store parameters.

Definition at line 43 of file ClpParameters.hpp.

## ClpStrParam

enum ClpStrParam

Enumerator
ClpProbName | Name of the problem. This is the found on the Name card of an mps file.
ClpLastStrParam | Just a marker, so that we can allocate a static sized array to store parameters.

Definition at line 72 of file ClpParameters.hpp.

## Function Documentation

## ClpDisjointCopyN()

template<class T>

void ClpDisjointCopyN | ( | const T * | array,
|  | const CoinBigIndex | size,
|  | T * | newArray )

inline

Copy (I don't like complexity of Coin version).

Definition at line 84 of file ClpParameters.hpp.

## ClpFillN()

template<class T>

void ClpFillN | ( | T * | array,
|  | const CoinBigIndex | size,
|  | T | value )

inline

And set.

Definition at line 91 of file ClpParameters.hpp.

## ClpCopyOfArray() [1/2]

template<class T>

T * ClpCopyOfArray | ( | const T * | array,
|  | const CoinBigIndex | size,
|  | T | value )

inline

This returns a non const array filled with input from scalar or actual array.

Definition at line 100 of file ClpParameters.hpp.

## ClpCopyOfArray() [2/2]

template<class T>

T * ClpCopyOfArray | ( | const T * | array,
|  | const CoinBigIndex | size )

inline

This returns a non const array filled with actual array (or NULL).

Definition at line 113 of file ClpParameters.hpp.